curl --request GET \
--url https://api.streamkap.com/pipelines/metrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"<string>"
],
"tenant_ids": [
"<string>"
]
}
'import requests
url = "https://api.streamkap.com/pipelines/metrics"
payload = {
"ids": ["<string>"],
"tenant_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['<string>'], tenant_ids: ['<string>']})
};
fetch('https://api.streamkap.com/pipelines/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_metrics": {},
"connector_metrics": {},
"inline_metrics": {},
"task_metrics": {},
"topic_metrics": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Metrics For Pipelines
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Entity identifier to fetch metrics for
Starting index for topic list pagination
Number of topics to return in the list
Starting key for cursor-based pagination
Number of results to return
Metrics aggregation level (e.g., 'connector', 'task', 'topic')
Page number for pagination
End timestamp for metrics range (ISO 8601, e.g., '2025-01-15T10:00:00Z')
Start timestamp for metrics range (ISO 8601, e.g., '2025-01-15T09:00:00Z')
Time unit for aggregation (e.g., 'minute', 'hour', 'day')
Time interval value for aggregation
Type of time-based query: 'timeseries', 'latest', or 'timesummary'
A comma-separated list of Tenant IDs
A comma-separated list of pipeline IDs
Snapshot status filter
Field to sort results by
Sort direction: 'asc' or 'desc'
asc, desc Body
Body model for POST /pipelines/metrics requests.
Supports large lists of IDs that would exceed URL length limits when using GET. Body parameters take precedence over query parameters when both are provided.
Response
Successful Response
Pipeline metrics response.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?